Bug 444245 - Review Request: whatsup - Node up/down detection utility
Review Request: whatsup - Node up/down detection utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roy Rankin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 20:36 EDT by Ruben Kerkhof
Modified: 2014-07-07 23:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 09:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rrankin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2008-04-25 20:36:13 EDT
Spec URL: http://ruben.fedorapeople.org/whatsup.spec
SRPM URL: http://ruben.fedorapeople.org/whatsup-1.7-1.fc9.src.rpm
Description:
Whatsup is a cluster node up/down detection utility.

Whatsup can quickly calculate and output the up and down nodes of a cluster.
Whatsup allows some tools, such as Pdsh, to operate more quickly by
not operating on down nodes. Whatsup calculates the up and down nodes of a
cluster through one of several possible backend tools
and several optional cluster node databases.
Comment 1 Roy Rankin 2008-08-14 07:25:46 EDT
I have run the spec file against rpmlint and it gives the following result.
whatsup.spec:122: E: files-attr-not-set
whatsup.spec:123: E: files-attr-not-set
whatsup.spec:124: E: files-attr-not-set
whatsup.spec:125: E: files-attr-not-set
whatsup.spec:126: E: files-attr-not-set
0 packages and 1 specfiles checked; 5 errors, 0 warnings.

These errors a result of a missing %defattr(-,root,root,-)

The packages compiles OK under Mock.
License looks OK 

The current upstream version of the package is 1.8-1 (which came out after this review was requested), The package should be upgraded to the current version which may eliminate the need for the patches.

I did not finish the review as the spec file is fixed and the package update a full review can be done.
Comment 2 Ruben Kerkhof 2008-08-14 12:48:48 EDT
Thanks for the review,

I've fixed the rpmlint errors, and updated the package to the new upstream version.

Spec: http://ruben.fedorapeople.org/whatsup.spec
SRPM: http://ruben.fedorapeople.org/whatsup-1.8-1.fc9.src.rpm
Comment 3 Roy Rankin 2008-08-14 23:17:46 EDT
OK      rpmlint is silent.
OK      package meets naming and versioning guidelines.
OK      specfile named properly
OK      license is open source-compatible (GPLv2+). 
OK      license field matches the actual license.
OK      license file included in %doc
OK      Specfile in english and readable
OK      source files match upstream and latest version(md5sum matches)
OK      package builds in mock (rawhide/i386).
N/A     specfile handles locales properly
OK      Package owns directories it creates
OK      Requires packages owning non-core directories it uses
OK      No duplicte files in %files
OK      %defattr(...) in every %files section
OK      valid %clean section
OK      consistent use of macros
OK      package includes code
N/A     Large documentation in -doc subpackage
OK      %doc files not required for running
OK      .h files in -devel subpackage
N/A     static libraries must be in -static subpackage
N/A     Packages containing pkgconfig(.pc) must require pkgconfig
OK      If package contains lib files with suffix .so files in -devel
OK      -devel subpackage requires base package with versions
OK      no .la libtool not included in packages
N/A     GUI applications handle %{name}.desktop file properly
OK      %install runs rm -rf %{buildroot}
OK      filenames in packages use valid UTF-8
OK      dist tag is present.

rpmlint output:
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 4 Roy Rankin 2008-08-23 17:44:47 EDT
Specfile changelog entry added for upstream version release.
rpmlint still silent

This package is approved
Comment 5 Ruben Kerkhof 2008-08-24 06:12:40 EDT
Thanks Roy,

New Package CVS Request
=======================
Package Name: whatsup
Short Description: Node up/down detection utility
Owners: ruben
Branches: F-8 F-9 EL-4 EL-5
Comment 6 Kevin Fenzi 2008-08-24 15:03:28 EDT
cvs done.
Comment 7 David Brown 2014-07-07 23:45:34 EDT
Package Change Request
======================
Package Name: whatsup
New Branches: el7
Owners: dmlb2000

I'd like to start testing el7

Note You need to log in before you can comment on or make changes to this bug.